# Generated by Django 4.2.20 on 2025-04-29 14:34

import django.contrib.postgres.indexes
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Warehouse',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='Delete Label')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='Create Time')),
                ('updated_time', models.DateTimeField(auto_now=True, null=True, verbose_name='Update Time')),
                ('data', models.JSONField()),
            ],
            options={
                'verbose_name': 'bomiot Warehouse',
                'verbose_name_plural': 'bomiot Warehouse',
                'db_table': 'bomiot_warehouse',
                'ordering': ['-id'],
                'indexes': [django.contrib.postgres.indexes.GinIndex(fields=['data'], name='data_Warehouse')],
            },
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='Delete Label')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='Create Time')),
                ('updated_time', models.DateTimeField(auto_now=True, null=True, verbose_name='Update Time')),
                ('data', models.JSONField()),
            ],
            options={
                'verbose_name': 'bomiot Team',
                'verbose_name_plural': 'bomiot Team',
                'db_table': 'bomiot_team',
                'ordering': ['-id'],
                'indexes': [django.contrib.postgres.indexes.GinIndex(fields=['data'], name='data_Team')],
            },
        ),
        migrations.CreateModel(
            name='Supplier',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='Delete Label')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='Create Time')),
                ('updated_time', models.DateTimeField(auto_now=True, null=True, verbose_name='Update Time')),
                ('data', models.JSONField()),
            ],
            options={
                'verbose_name': 'bomiot Supplier',
                'verbose_name_plural': 'bomiot Supplier',
                'db_table': 'bomiot_supplier',
                'ordering': ['-id'],
                'indexes': [django.contrib.postgres.indexes.GinIndex(fields=['data'], name='data_Supplier')],
            },
        ),
        migrations.CreateModel(
            name='Stock',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='Delete Label')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='Create Time')),
                ('updated_time', models.DateTimeField(auto_now=True, null=True, verbose_name='Update Time')),
                ('data', models.JSONField()),
            ],
            options={
                'verbose_name': 'bomiot Stock',
                'verbose_name_plural': 'bomiot Stock',
                'db_table': 'bomiot_stock',
                'ordering': ['-id'],
                'indexes': [django.contrib.postgres.indexes.GinIndex(fields=['data'], name='data_Stock')],
            },
        ),
        migrations.CreateModel(
            name='Purchase',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='Delete Label')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='Create Time')),
                ('updated_time', models.DateTimeField(auto_now=True, null=True, verbose_name='Update Time')),
                ('data', models.JSONField()),
            ],
            options={
                'verbose_name': 'bomiot Purchase',
                'verbose_name_plural': 'bomiot Purchase',
                'db_table': 'bomiot_purchase',
                'ordering': ['-id'],
                'indexes': [django.contrib.postgres.indexes.GinIndex(fields=['data'], name='data_Purchase')],
            },
        ),
        migrations.CreateModel(
            name='Goods',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='Delete Label')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='Create Time')),
                ('updated_time', models.DateTimeField(auto_now=True, null=True, verbose_name='Update Time')),
                ('data', models.JSONField()),
            ],
            options={
                'verbose_name': 'bomiot Goods',
                'verbose_name_plural': 'bomiot Goods',
                'db_table': 'bomiot_goods',
                'ordering': ['-id'],
                'indexes': [django.contrib.postgres.indexes.GinIndex(fields=['data'], name='data_Goods')],
            },
        ),
        migrations.CreateModel(
            name='DN',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='Delete Label')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='Create Time')),
                ('updated_time', models.DateTimeField(auto_now=True, null=True, verbose_name='Update Time')),
                ('data', models.JSONField()),
            ],
            options={
                'verbose_name': 'bomiot DN',
                'verbose_name_plural': 'bomiot DN',
                'db_table': 'bomiot_dn',
                'ordering': ['-id'],
                'indexes': [django.contrib.postgres.indexes.GinIndex(fields=['data'], name='data_DN')],
            },
        ),
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='Delete Label')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='Create Time')),
                ('updated_time', models.DateTimeField(auto_now=True, null=True, verbose_name='Update Time')),
                ('data', models.JSONField()),
            ],
            options={
                'verbose_name': 'bomiot Customer',
                'verbose_name_plural': 'bomiot Customer',
                'db_table': 'bomiot_customer',
                'ordering': ['-id'],
                'indexes': [django.contrib.postgres.indexes.GinIndex(fields=['data'], name='data_Customer')],
            },
        ),
        migrations.CreateModel(
            name='Company',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='Delete Label')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='Create Time')),
                ('updated_time', models.DateTimeField(auto_now=True, null=True, verbose_name='Update Time')),
                ('data', models.JSONField()),
            ],
            options={
                'verbose_name': 'bomiot Company',
                'verbose_name_plural': 'bomiot Company',
                'db_table': 'bomiot_company',
                'ordering': ['-id'],
                'indexes': [django.contrib.postgres.indexes.GinIndex(fields=['data'], name='data_Company')],
            },
        ),
        migrations.CreateModel(
            name='Bin',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='Delete Label')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='Create Time')),
                ('updated_time', models.DateTimeField(auto_now=True, null=True, verbose_name='Update Time')),
                ('data', models.JSONField()),
            ],
            options={
                'verbose_name': 'bomiot Bin',
                'verbose_name_plural': 'bomiot Bin',
                'db_table': 'bomiot_bin',
                'ordering': ['-id'],
                'indexes': [django.contrib.postgres.indexes.GinIndex(fields=['data'], name='data_Bin')],
            },
        ),
        migrations.CreateModel(
            name='Bar',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='Delete Label')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='Create Time')),
                ('updated_time', models.DateTimeField(auto_now=True, null=True, verbose_name='Update Time')),
                ('data', models.JSONField()),
            ],
            options={
                'verbose_name': 'bomiot Bar',
                'verbose_name_plural': 'bomiot Bar',
                'db_table': 'bomiot_bar',
                'ordering': ['-id'],
                'indexes': [django.contrib.postgres.indexes.GinIndex(fields=['data'], name='data_Bar')],
            },
        ),
        migrations.CreateModel(
            name='ASN',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='Delete Label')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='Create Time')),
                ('updated_time', models.DateTimeField(auto_now=True, null=True, verbose_name='Update Time')),
                ('data', models.JSONField()),
            ],
            options={
                'verbose_name': 'bomiot ASN',
                'verbose_name_plural': 'bomiot ASN',
                'db_table': 'bomiot_asn',
                'ordering': ['-id'],
                'indexes': [django.contrib.postgres.indexes.GinIndex(fields=['data'], name='data_ASN')],
            },
        ),
        migrations.CreateModel(
            name='Approve',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_delete', models.BooleanField(default=False, verbose_name='Delete Label')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='Create Time')),
                ('updated_time', models.DateTimeField(auto_now=True, null=True, verbose_name='Update Time')),
                ('data', models.JSONField()),
            ],
            options={
                'verbose_name': 'bomiot Approve',
                'verbose_name_plural': 'bomiot Approve',
                'db_table': 'bomiot_approve',
                'ordering': ['-id'],
                'indexes': [django.contrib.postgres.indexes.GinIndex(fields=['data'], name='data_Approve')],
            },
        ),
    ]
